Bug 251050 - devel/pecl-APCu_bc: ignore with PHP 8
Summary: devel/pecl-APCu_bc: ignore with PHP 8
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-11-11 14:28 UTC by Mikle Davidkin
Modified: 2021-03-18 16:50 UTC (History)
2 users (show)

See Also:


Attachments
patch (235 bytes, patch)
2020-11-11 14:28 UTC, Mikle Davidkin
no flags Details | Diff
patch with fixed order (325 bytes, patch)
2020-11-11 19:15 UTC, Mikle Davidkin
me: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikle Davidkin 2020-11-11 14:28:40 UTC
Created attachment 219555 [details]
patch

As pecl-APCu dependency not fully supports PHP 8.0 - ignore it. PORTREVISION not updated.
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-11 17:43:52 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: Simplifying title

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A:  Makefile: "IGNORE_WITH_PHP" has to appear earlier (https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order)

Thanks!
Comment 2 Mikle Davidkin 2020-11-11 19:15:49 UTC
Created attachment 219572 [details]
patch with fixed order

OK, thanks. Order fixed.
Comment 3 Automation User 2020-11-11 19:45:36 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/214901563
Comment 4 Luca Pizzamiglio freebsd_committer 2021-02-14 14:06:44 UTC
pkg-fallout made this patch obsolete (PHP 8.0 is already marked as not supported), but the order in the Makefile is still wrong.

If you submit a new patch, I'll commit it.
Otherwise, you can just close this PR.
Comment 5 Luca Pizzamiglio freebsd_committer 2021-03-18 16:50:27 UTC
pkg-fallout made this patch obsolete